PAGEMON(8)

NAME
pagemon - a tool to monitor memory pages.

SYNOPSIS
pagemon [options]

DESCRIPTION
pagemon is a program that allows one to interactively monitor the memory pages of a process.

OPTIONS
pagemon options are as follow:

-a  enable automatic zoom mode, this will change the zoom level to show the entire page map in the window, up to a maximum zoom level of 999.

-d delay
    delay in microseconds between data refreshes, the default is 10,000 microseconds (1/100th of a second).

-h  show help.

-p  specify the process id (PID) or name of the process to monitor. If a name is given, then pagemon will monitor the first process that matches the name.

-r  read pages into memory. This will force all pages in the process to be read into physical memory.

-t ticks
    specify ticks between dirty page checks. The default is 60 ticks; the larger the value the longer time between dirty page checks.

-v  enable VM information view. This is equivalent to pressing the 'v' or 'V' key when running pagemon.

-z zoom
    specify the default zoom level on page view, the default is 1 (that is 1-to-1 view of pages). Higher values increase the zoom level so more pages are represented in the map view.

KEYS
Key | Explanation
Home | Move cursor to start of page map or start of page
End | Move cursor to end of page map or end of page
Cursor Up | Move cursor up
Cursor Down | Move cursor down
Cursor Left | Move cursor left
Cursor Right | Move cursor right
Page Up | Move cursor 1/2 page up
Page Down | Move cursor 1/2 page down
Esc, q, Q | Quit
Enter | Toggle page map / memory map view
Tab | Toggle detailed view of page
a, A | Toggle automatic zoom mode
v, V | Toggle Virtual Memory statistics of process
p, P | Toggle page statistics
?, h | Toggle help
c, C | Close all the pop up windows
r, R | Force all pages in process to be read into memory
t | Increase ticks between Dirty Page updates
T | Decrease ticks between Dirty Page updates
+, z | Zoom in (only in page map view)
-, Z | Zoom out (only in page map view)
[ | Zoom scale to 1, turn off automatic zoom mode
] | Zoom scale to 999, turn off automatic zoom mode

EXAMPLES

Monitor the thunderbird process:
    sudo pagemon -p thunderbird

Monitor process 1 (init), zoom scale of 4:
    sudo pagemon -p 1 -z 4

AUTHOR
pagemon was written by Colin King <colin.i.king@gmail.com> with contributions from Dr. David Alan Gilbert.

This manual page was written by Colin King <colin.king@canonical.com>, for the Ubuntu project (but may be used by others).

COPYRIGHT
Copyright © 2016-2021 Canonical Ltd. Copyright © 2021 Colin Ian King
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.